package winbind 2:3.5.4~dfsg-1ubuntu6 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Bug #640588 reported by Laurent Schwarzenberger on 2010-09-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
samba (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: samba

I'm not sure what happened here. I did an upgrade and something in samba errored. The terminal froze and I restarted it. I was then told that I couldn't get a lock on apt/dpkg.

I ran these:
sudo rm /var/lib/dpkg/lock
sudo rm /var/cache/apt/archives/lock
sudo dpkg --configure -a
sudo apt-get install -f

It allowed some of the updates to finish, but not all. Samba, winbind and man db (https://bugs.launchpad.net/ubuntu/+source/man-db/+bug/640584) are all having problems and created apport crashes. There were also various messages about dependencies being 1 ubuntu version behind what was required, the debian versions were the same (eg. packagex.x.x-xubuntu1 and packagex.x.xubuntu2)

My dpkg is currently broken and I don't know why. I can not run dpkg at all now. I get this message.

dpkg: parse error, in file '/var/lib/dpkg/updates/0018' near line 0:
 newline in field name `#padding'

Running that in google gives me error reports from debian mailing lists regarding bugs involving a lack of freespace. My system has 4.8GB free and the bug concerned was fixed 2 years ago.

I am running a system from upgraded lucid, not a fresh install.

laurent@ursus:~$ lsb_release -rd'
>
- terminal hangs

ProblemType: Package
DistroRelease: Ubuntu 10.10
Package: winbind 2:3.5.4~dfsg-1ubuntu6
ProcVersionSignature: Ubuntu 2.6.35-20.29-generic 2.6.35.4
Uname: Linux 2.6.35-20-generic i686
AptOrdering:
 samba: Configure
 winbind: Configure
Architecture: i386
Date: Fri Sep 17 02:10:19 2010
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
RelatedPackageVersions:
 nautilus 1:2.31.92-0ubuntu1
 gvfs 1.6.3-0ubuntu2
SambaClientRegression: Yes
SourcePackage: samba
Title: package winbind 2:3.5.4~dfsg-1ubuntu6 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers